Bug 43910 - mount /dev/fd0 /mnt/floppy - destroys disk contents
mount /dev/fd0 /mnt/floppy - destroys disk contents
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-07 17:55 EDT by john.goshdigian
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 18:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.goshdigian 2001-06-07 17:55:49 EDT
Description of Problem:

When issuing the mounting command (mount /dev/fd0 /mnt/floppy),
1) some thin vertical lines appear on the screen
2) the floppy appears to be useable. Copy a file and cat a file worked while the floppy is in the drive - UNTIL one dismounts the floppy
After dismounting the floppy, it is no longer useable.
One can re mount the disk, but from that point on, any files one thought were copied are not available.
# ls -l
displays a bunch of l's and l.l files, but nothing that resembles any files that one may have copied onto the disk.

Also tried taking a nicely formatted disk from a 7.0 system, which works fine on 7.0.
But the disk becomes corrupted once mounted on the RC1 system.

Severity of problem - loss of data..

How Reproducible:
Consistently repro.

Steps to Reproduce:
1. Put file on diskette on a Red Hat Linux 7.0 system.
2. Take diskette to RC1 system.
3. mount /dev/fd0 /mnt/floppy 
4. cat /mnt/floppy/file or ls -l /mnt/floppy    ! it looks fine here
5. umount /mnt/floppy
6. mount /dev/fd0 /mnt/floppy 
7. cat /mnt/floppy/file         ! file is not there
8. ls -l /mnt/floppy             ! take a look at what's there (not pretty)

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2001-06-07 18:00:25 EDT
assigning to kernel.
Comment 2 Phil Copeland 2001-06-24 15:14:36 EDT
This is with a UP2000 (Tsunami chipset) using the current gold masters

[root@dhcpd141 SRPMS]# mount /dev/fd0 /mnt/floppy 
[root@dhcpd141 SRPMS]# ls -l /mnt/floppy
total 1313
drwxrwxrwx    2 root     root         1024 Jun 23 11:11 etc
-r-xr-x---    1 root     root        83968 Jun 23 11:11 linuxboot
drwxr-xr-x    2 root     root        12288 Jun 23 11:11 lost+found
-rw-rw-rw-    1 root     root      1239553 Jun 23 11:11 vmlinux.gz
[root@dhcpd141 SRPMS]# umount /mnt/floppy
[root@dhcpd141 SRPMS]# mount /dev/fd0 /mnt/floppy 
[root@dhcpd141 SRPMS]# cat /mnt/floppy/etc//
aboot.conf  milo.conf   
[root@dhcpd141 SRPMS]# cat /mnt/floppy/etc/aboot.conf
#
# Red Hat Linux/Alpha aboot configuration
#
# Options:
#
#   0 - boot the Red Hat Linux installer using a 2.4 kernel
#   1 - boot the Red Hat Linux installer with kernel messages sent to ttyS0
#   2 - boot the Red Hat Linux installer with kernel messages sent to
#       ttyS0 (com1) and the graphics terminal
#   3 - boot the Red Hat Linux installer in text only mode
#   4 - boot the Red Hat Linux installer in text only rescue mode
#   5 - boot the Red Hat Linux installer in text only mode
#       (floppy access will not use DMA or fifo at all)
#
0:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0
1:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0 console=ttyS0
2:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0 console=ttyS0
console=tty0
3:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0 text 
4:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0 rescue
5:vmlinux.gz load_ramdisk=1 prompt_ramdisk=1 root=/dev/fd0 text
floppy=nodma,nofifo
[root@dhcpd141 SRPMS]# ls -l /mnt/floppy
total 1313
drwxrwxrwx    2 root     root         1024 Jun 23 11:11 etc
-r-xr-x---    1 root     root        83968 Jun 23 11:11 linuxboot
drwxr-xr-x    2 root     root        12288 Jun 23 11:11 lost+found
-rw-rw-rw-    1 root     root      1239553 Jun 23 11:11 vmlinux.gz


Sorry, can't get this to reproduce 8/
Comment 3 Phil Copeland 2001-06-24 15:17:08 EDT
Just thought about doing it for a MSDOS floppy (as opposed to ext2), but, again
I cannot get it to fail 8/

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.